// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		0A40DDF92378FC1B00F2FB04 /* IdCardItem.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A40DDF82378FC1B00F2FB04 /* IdCardItem.m */; };
		0A40DDFC2378FDB600F2FB04 /* VatInvoiceItem.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A40DDFB2378FDB600F2FB04 /* VatInvoiceItem.m */; };
		0A47528521A2A629005BD33A /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A47528421A2A629005BD33A /* AppDelegate.m */; };
		0A47528821A2A629005BD33A /* ViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A47528721A2A629005BD33A /* ViewController.m */; };
		0A47528B21A2A629005BD33A /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 0A47528921A2A629005BD33A /* Main.storyboard */; };
		0A47528D21A2A62A005BD33A /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 0A47528C21A2A62A005BD33A /* Assets.xcassets */; };
		0A47529021A2A62A005BD33A /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 0A47528E21A2A62A005BD33A /* LaunchScreen.storyboard */; };
		0A47529321A2A62A005BD33A /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A47529221A2A62A005BD33A /* main.m */; };
		0A4752BE21A2A656005BD33A /* HWOcrClientToken.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A4752B621A2A656005BD33A /* HWOcrClientToken.m */; };
		0A4752BF21A2A656005BD33A /* HWOcrClientAKSK.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A4752B821A2A656005BD33A /* HWOcrClientAKSK.m */; };
		0A4752C021A2A656005BD33A /* HWOcrClientUtils.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A4752BB21A2A656005BD33A /* HWOcrClientUtils.m */; };
		0A4752C121A2A656005BD33A /* HWOcrClientAKSKSign.m in Sources */ = {isa = PBXBuildFile; fileRef = 0A4752BD21A2A656005BD33A /* HWOcrClientAKSKSign.m */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		0A47529921A2A62A005BD33A /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 0A47527821A2A629005BD33A /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 0A47527F21A2A629005BD33A;
			remoteInfo = "cloud-ios-sdk-ocr-1.0.0";
		};
		0A4752A421A2A62A005BD33A /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 0A47527821A2A629005BD33A /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 0A47527F21A2A629005BD33A;
			remoteInfo = "cloud-ios-sdk-ocr-1.0.0";
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		0A47528021A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "cloud-ios-sdk-ocr-1.0.0.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		0A47528321A2A629005BD33A /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		0A47528421A2A629005BD33A /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		0A47528621A2A629005BD33A /* ViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ViewController.h; sourceTree = "<group>"; };
		0A47528721A2A629005BD33A /* ViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ViewController.m; sourceTree = "<group>"; };
		0A47528A21A2A629005BD33A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		0A47528C21A2A62A005BD33A /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		0A47528F21A2A62A005BD33A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		0A47529121A2A62A005BD33A /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		0A47529221A2A62A005BD33A /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		0A47529821A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0Tests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "cloud-ios-sdk-ocr-1.0.0Tests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		0A4752A321A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0UITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "cloud-ios-sdk-ocr-1.0.0UITests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		0A4752B621A2A656005BD33A /* HWOcrClientToken.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HWOcrClientToken.m; sourceTree = "<group>"; };
		0A4752B721A2A656005BD33A /* HWOcrClientAKSKSign.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HWOcrClientAKSKSign.h; sourceTree = "<group>"; };
		0A4752B821A2A656005BD33A /* HWOcrClientAKSK.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HWOcrClientAKSK.m; sourceTree = "<group>"; };
		0A4752B921A2A656005BD33A /* HWOcrClientUtils.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HWOcrClientUtils.h; sourceTree = "<group>"; };
		0A4752BA21A2A656005BD33A /* HWOcrClientToken.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HWOcrClientToken.h; sourceTree = "<group>"; };
		0A4752BB21A2A656005BD33A /* HWOcrClientUtils.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HWOcrClientUtils.m; sourceTree = "<group>"; };
		0A4752BC21A2A656005BD33A /* HWOcrClientAKSK.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = HWOcrClientAKSK.h; sourceTree = "<group>"; };
		0A4752BD21A2A656005BD33A /* HWOcrClientAKSKSign.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = HWOcrClientAKSKSign.m; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		0A47527D21A2A629005BD33A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0A47529521A2A62A005BD33A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0A4752A021A2A62A005BD33A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0A47527721A2A629005BD33A = {
			isa = PBXGroup;
			children = (
				0A47528221A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0 */,
				0A47528121A2A629005BD33A /* Products */,
			);
			sourceTree = "<group>";
		};
		0A47528121A2A629005BD33A /* Products */ = {
			isa = PBXGroup;
			children = (
				0A47528021A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0.app */,
				0A47529821A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0Tests.xctest */,
				0A4752A321A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0UITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		0A47528221A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0 */ = {
			isa = PBXGroup;
			children = (
				0A4752B521A2A655005BD33A /* OcrService */,
				0A47528321A2A629005BD33A /* AppDelegate.h */,
				0A47528421A2A629005BD33A /* AppDelegate.m */,
				0A47528621A2A629005BD33A /* ViewController.h */,
				0A47528721A2A629005BD33A /* ViewController.m */,
				0A47528921A2A629005BD33A /* Main.storyboard */,
				0A47528C21A2A62A005BD33A /* Assets.xcassets */,
				0A47528E21A2A62A005BD33A /* LaunchScreen.storyboard */,
				0A47529121A2A62A005BD33A /* Info.plist */,
				0A47529221A2A62A005BD33A /* main.m */,
			);
			path = "cloud-ios-sdk-ocr-1.0.0";
			sourceTree = "<group>";
		};
		0A4752B521A2A655005BD33A /* OcrService */ = {
			isa = PBXGroup;
			children = (
				0A4752BA21A2A656005BD33A /* HWOcrClientToken.h */,
				0A4752B621A2A656005BD33A /* HWOcrClientToken.m */,
				0A4752B721A2A656005BD33A /* HWOcrClientAKSKSign.h */,
				0A4752BD21A2A656005BD33A /* HWOcrClientAKSKSign.m */,
				0A4752BC21A2A656005BD33A /* HWOcrClientAKSK.h */,
				0A4752B821A2A656005BD33A /* HWOcrClientAKSK.m */,
				0A4752B921A2A656005BD33A /* HWOcrClientUtils.h */,
				0A4752BB21A2A656005BD33A /* HWOcrClientUtils.m */,
			);
			path = OcrService;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		0A47527F21A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0 */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0A4752AC21A2A62B005BD33A /* Build configuration list for PBXNativeTarget "cloud-ios-sdk-ocr-1.0.0" */;
			buildPhases = (
				0A47527C21A2A629005BD33A /* Sources */,
				0A47527D21A2A629005BD33A /* Frameworks */,
				0A47527E21A2A629005BD33A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "cloud-ios-sdk-ocr-1.0.0";
			productName = "cloud-ios-sdk-ocr-1.0.0";
			productReference = 0A47528021A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0.app */;
			productType = "com.apple.product-type.application";
		};
		0A47529721A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0Tests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0A4752AF21A2A62B005BD33A /* Build configuration list for PBXNativeTarget "cloud-ios-sdk-ocr-1.0.0Tests" */;
			buildPhases = (
				0A47529421A2A62A005BD33A /* Sources */,
				0A47529521A2A62A005BD33A /* Frameworks */,
				0A47529621A2A62A005BD33A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				0A47529A21A2A62A005BD33A /* PBXTargetDependency */,
			);
			name = "cloud-ios-sdk-ocr-1.0.0Tests";
			productName = "cloud-ios-sdk-ocr-1.0.0Tests";
			productReference = 0A47529821A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0Tests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		0A4752A221A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0UITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0A4752B221A2A62B005BD33A /* Build configuration list for PBXNativeTarget "cloud-ios-sdk-ocr-1.0.0UITests" */;
			buildPhases = (
				0A47529F21A2A62A005BD33A /* Sources */,
				0A4752A021A2A62A005BD33A /* Frameworks */,
				0A4752A121A2A62A005BD33A /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				0A4752A521A2A62A005BD33A /* PBXTargetDependency */,
			);
			name = "cloud-ios-sdk-ocr-1.0.0UITests";
			productName = "cloud-ios-sdk-ocr-1.0.0UITests";
			productReference = 0A4752A321A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0UITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		0A47527821A2A629005BD33A /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = huawei;
				TargetAttributes = {
					0A47527F21A2A629005BD33A = {
						CreatedOnToolsVersion = 9.4.1;
					};
					0A47529721A2A62A005BD33A = {
						CreatedOnToolsVersion = 9.4.1;
						TestTargetID = 0A47527F21A2A629005BD33A;
					};
					0A4752A221A2A62A005BD33A = {
						CreatedOnToolsVersion = 9.4.1;
						TestTargetID = 0A47527F21A2A629005BD33A;
					};
				};
			};
			buildConfigurationList = 0A47527B21A2A629005BD33A /* Build configuration list for PBXProject "cloud-ios-sdk-ocr-1.0.0" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 0A47527721A2A629005BD33A;
			productRefGroup = 0A47528121A2A629005BD33A /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				0A47527F21A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0 */,
				0A47529721A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0Tests */,
				0A4752A221A2A62A005BD33A /* cloud-ios-sdk-ocr-1.0.0UITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		0A47527E21A2A629005BD33A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0A47529021A2A62A005BD33A /* LaunchScreen.storyboard in Resources */,
				0A47528D21A2A62A005BD33A /* Assets.xcassets in Resources */,
				0A47528B21A2A629005BD33A /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0A47529621A2A62A005BD33A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0A4752A121A2A62A005BD33A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		0A47527C21A2A629005BD33A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0A4752BE21A2A656005BD33A /* HWOcrClientToken.m in Sources */,
				0A47528821A2A629005BD33A /* ViewController.m in Sources */,
				0A4752BF21A2A656005BD33A /* HWOcrClientAKSK.m in Sources */,
				0A47529321A2A62A005BD33A /* main.m in Sources */,
				0A4752C121A2A656005BD33A /* HWOcrClientAKSKSign.m in Sources */,
				0A4752C021A2A656005BD33A /* HWOcrClientUtils.m in Sources */,
				0A47528521A2A629005BD33A /* AppDelegate.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0A47529421A2A62A005BD33A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0A47529F21A2A62A005BD33A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		0A47529A21A2A62A005BD33A /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 0A47527F21A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0 */;
			targetProxy = 0A47529921A2A62A005BD33A /* PBXContainerItemProxy */;
		};
		0A4752A521A2A62A005BD33A /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 0A47527F21A2A629005BD33A /* cloud-ios-sdk-ocr-1.0.0 */;
			targetProxy = 0A4752A421A2A62A005BD33A /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		0A47528921A2A629005BD33A /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				0A47528A21A2A629005BD33A /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		0A47528E21A2A62A005BD33A /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				0A47528F21A2A62A005BD33A /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		0A4752AA21A2A62B005BD33A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		0A4752AB21A2A62B005BD33A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		0A4752AD21A2A62B005BD33A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = F9L3H5LC6K;
				INFOPLIST_FILE = "cloud-ios-sdk-ocr-1.0.0/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.huawei.cloud-ios-sdk-ocr-1-0-0";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		0A4752AE21A2A62B005BD33A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = F9L3H5LC6K;
				INFOPLIST_FILE = "cloud-ios-sdk-ocr-1.0.0/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.huawei.cloud-ios-sdk-ocr-1-0-0";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		0A4752B021A2A62B005BD33A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "cloud-ios-sdk-ocr-1.0.0Tests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.huawei.cloud-ios-sdk-ocr-1-0-0Tests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/cloud-ios-sdk-ocr-1.0.0.app/cloud-ios-sdk-ocr-1.0.0";
			};
			name = Debug;
		};
		0A4752B121A2A62B005BD33A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "cloud-ios-sdk-ocr-1.0.0Tests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.huawei.cloud-ios-sdk-ocr-1-0-0Tests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/cloud-ios-sdk-ocr-1.0.0.app/cloud-ios-sdk-ocr-1.0.0";
			};
			name = Release;
		};
		0A4752B321A2A62B005BD33A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "cloud-ios-sdk-ocr-1.0.0UITests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.huawei.cloud-ios-sdk-ocr-1-0-0UITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = "cloud-ios-sdk-ocr-1.0.0";
			};
			name = Debug;
		};
		0A4752B421A2A62B005BD33A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "cloud-ios-sdk-ocr-1.0.0UITests/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.huawei.cloud-ios-sdk-ocr-1-0-0UITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = "cloud-ios-sdk-ocr-1.0.0";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		0A47527B21A2A629005BD33A /* Build configuration list for PBXProject "cloud-ios-sdk-ocr-1.0.0" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0A4752AA21A2A62B005BD33A /* Debug */,
				0A4752AB21A2A62B005BD33A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0A4752AC21A2A62B005BD33A /* Build configuration list for PBXNativeTarget "cloud-ios-sdk-ocr-1.0.0" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0A4752AD21A2A62B005BD33A /* Debug */,
				0A4752AE21A2A62B005BD33A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0A4752AF21A2A62B005BD33A /* Build configuration list for PBXNativeTarget "cloud-ios-sdk-ocr-1.0.0Tests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0A4752B021A2A62B005BD33A /* Debug */,
				0A4752B121A2A62B005BD33A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0A4752B221A2A62B005BD33A /* Build configuration list for PBXNativeTarget "cloud-ios-sdk-ocr-1.0.0UITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0A4752B321A2A62B005BD33A /* Debug */,
				0A4752B421A2A62B005BD33A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 0A47527821A2A629005BD33A /* Project object */;
}
